//
//###################################################################
//                   Class Back
//###################################################################
//  The "back" component of a sample distributed application.
//
//  Creator               : Chris Anderson
//  (C) UCLA 1997
//   
//  Updated 07/15/98 CRA  
//###################################################################
//
import cam.netapp.SetStreams;
import java.io.*;
import java.net.*;


public class Back implements Runnable, SetStreams
{
//
//################################################################
//  Data Members
//################################################################
//
//  Data Exchange Classes
//
    InputStream  BackInputStream;
    OutputStream BackOutputStream;
//
//################################################################
//  METHODS
//################################################################
//
//
// SetStreams interface implementation
//
public boolean setInputStream(InputStream s)
{
    BackInputStream  = s;
    return true;
}
public boolean setOutputStream(OutputStream s)
{
    BackOutputStream  = s;
    return true;
}
//
//
//
public Back(){}

public void run()
{
//
//  RecieveParameters :
//
    System.out.println("Back : Running");
    
    DataInputStream Din = new DataInputStream(BackInputStream);
    
    String S = null;
    try
    {
      S = Din.readLine();
    }catch(IOException e){};
    
    System.out.println("Back : Data Received");
    System.out.println("Back : " + S);
    System.out.println("Back : Sending Parameters"); 
    
    DataOutputStream Dout = new DataOutputStream(BackOutputStream);   
    try
    {
    Dout.writeDouble(1.0);
    Dout.writeDouble(2.0);
    }catch(IOException e){};

}

}