//
//###################################################################
//                   Class Back3
//###################################################################
//  The "back" component of a sample distributed application.
//
//  This sample demonstrates the communication of an object using the
//  serialization capabilities of Java 1.1.
//
//  Creator               : Chris Anderson
//  (C) UCLA 1997
//
//  Updated 07/15/98 CRA  
//###################################################################
//
import cam.netapp.SetStreams;
import java.io.*;
import java.net.*;


public class Back3 implements Runnable, SetStreams
{
//
//  Data Exchange Classes
//
    InputStream  BackInputStream;
    OutputStream BackOutputStream;
//
// SetStreams interface implementation
//
public boolean setInputStream(InputStream s)
{
    BackInputStream  = s;
    return true;
}
public boolean setOutputStream(OutputStream s)
{
    BackOutputStream  = s;
    return true;
}
//
//
//
public Back3(){}

public void run()
{
//
//  RecieveParameters :
//
    System.out.println("Back : Running");

    cam.dataxchg.ParameterList   P = null;
//
//  receive
//
    try
    {
    java.io.ObjectInputStream Is = new java.io.ObjectInputStream(BackInputStream);
    P = (cam.dataxchg.ParameterList)Is.readObject();
    }
    catch(Exception e){System.out.println(e);}


    System.out.println("Back : Data Received");
    System.out.println("Back : ");
    P.output(System.out);
    System.out.println("Back : Sending Parameters");

//
//  send
//
    try
    {
    java.io.ObjectOutputStream Os = new java.io.ObjectOutputStream(BackOutputStream);
    Os.writeObject(P);
    }
    catch(Exception e){System.out.println(e);};


}

}