//
//###################################################################
//                   Class Back2
//###################################################################
//
//  The "back" component of a sample distributed application.
//
//  This sample demonstrates the communication of an object using
//  serialization (user defined). 
//
//  Creator               : Chris Anderson
//  (C) UCLA 1997
//
//  Updated 07/15/98 CRA  
//###################################################################
//
import cam.netapp.SetStreams;
import java.io.*;
import java.net.*;


public class Back2 implements Runnable, SetStreams
{
//
//  Data Exchange Classes
//
    InputStream  BackInputStream;
    OutputStream BackOutputStream;
//
// SetStreams interface implementation
//
public boolean setInputStream(InputStream s)
{
    BackInputStream  = s;
    return true;
}
public boolean setOutputStream(OutputStream s)
{
    BackOutputStream  = s;
    return true;
}
//
//
//
public Back2(){}

public void run()
{
//
//  RecieveParameters :
//
    System.out.println("Back : Running");

    cam.dataxchg.ParameterList   P = new cam.dataxchg.ParameterList();
    P.input(BackInputStream);

    System.out.println("Back : Data Received");
    System.out.println("Back : ");
    P.output(System.out);
    System.out.println("Back : Sending Parameters");

    P.outputBinary(BackOutputStream);


}

}