package cam.netapp;
/**
This interface is implemented by client implementation (CI) classes
associated with the NetApp Wrappers construction. This interface provides the methods enabling a 
client class connect to it's remote server implementation (SI).

@author Chris Anderson (C) UCLA 1998
@version 9/21/98
*/
public interface CIinterface
{
    public void createServerInstance(String address, int Port) throws Exception;
    public void setObjectStreams(java.io.InputStream Sinput, java.io.OutputStream Soutput) throws Exception;
    public void setVerboseFlag(boolean flag);
}