package cam.netapp;
/**
Implemented by server applications so that clients can set callback 
references to themselves. 
<P>
The interface has the following form
<pre>
public interface SetClient 
{
    public void setClient(Object Ob) throws Exception;
}
</pre>
</P>
This method is typically used by client classes; they will invoke 
their server class setClient(...) method using "this" as 
the object parameter. 

@author Chris Anderson (C) UCLA 1998
@version 9/21/98
*/
public interface SetClient 
{
    public void setClient(Object Ob) throws Exception;
}